Take the 2-minute tour ×
Android Enthusiasts Stack Exchange is a question and answer site for enthusiasts and power users of the Android operating system. It's 100% free, no registration required.

I have a Huawei u8160 running Cyanogenmod 7.2 .

I have been looking for the fuse.ko module for my phone, but whenever I find anything ,terminal emulator tells me that it is incompatible!

I want it to enable NTFS file system support using this tutorial

So I was wondering where I can find the appropriate fuse.ko module?

NOTE : I've already seen this link but I don't think that's what I want.

share|improve this question
    
This was answered in a comment on another question –  t0mm13b Sep 17 '12 at 14:51
add comment

closed as too localized by t0mm13b, Richard Borcsik, Izzy, Chahk, Zuul Sep 21 '12 at 3:47

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer

up vote 1 down vote accepted

You can build that module yourself from the source code of the Linux kernel your device is running (presumably some Cyanogenmod kernel).

  • You can find out which kernel your device is running, and with which compiler it was built, using cat /proc/version. Try finding the corresponding kernel sources in the Cyanogenmod repositories.

  • The kernel configuration file used to build your kernel (.config) should come with the kernel sources. If you're lucky, you can dump it with zcat /proc/config.gz on your device. Put the .config file into your source tree.

  • Find a matching compiler. Typically, one of the compilers coming with the NDK will be fine.

  • If the kernel uses modversions, you first need to build the kernel to get the Module.symvers file right. Assuming the NDK's cross compiler is in your path, try:

    make -j4 ARCH=arm CROSS_COMPILE=arm-linux-androideabi-
    
  • One you have a kernel, add the modules you need to the configuration by using the xconfig (or menuconfig) make targets:

    make -j4 ARCH=arm CROSS_COMPILE=arm-linux-androideabi- xconfig
    
  • Build the module.

    make -j4 ARCH=arm CROSS_COMPILE=arm-linux-androideabi- modules
    

    If insmod'ing the module fails with an error saying that _GLOBAL_OFFSET_TABLE_ was not found, try adding the -fno-pic option:

    make -j4 ARCH=arm CROSS_COMPILE=arm-linux-androideabi- XTRA_CFLAGS=-fno-pic modules
    

Good luck.

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.